WatchService watchService = 
  FileSystems.getDefault().newWatchService();
Path home = Paths.get("/Users/junichi");
home.register(watchService, 
  StandardWatchEventKinds.ENTRY_CREATE,
  StandardWatchEventKinds.ENTRY_DELETE,
  StandardWatchEventKinds.ENTRY_MODIFY);
while (true) {
  WatchKey watchKey = watchService.take();
  for (WatchEvent<?> event : watchKey.pollEvents()) {
    if (event.kind() == 
        StandardWatchEventKinds.OVERFLOW) {
      continue;
    }
    WatchEvent<Path> typedEvent = (WatchEvent<Path>) event;
    Path child = home.resolve(typedEvent.context());
    System.out.format("%s: %s\n", 
      event.kind().name(), child);
  }
  watchKey.reset();
}